Retrieve app access info

GET https://{controlplane_path}/api/1/rest/public/assetapi/user/settings?{query_parameters}

This API retrieves the app access information for all users in the specified Environment/Org.

Currently supported SnapLogic apps are:
  • IIP
  • AutoSync
  • Flows
  • Pattern Management
Note: This API manages only the SnapLogic apps or features that the Environment/Org is subscribed to.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com

Query parameters

Key Type Description
path string Required. The path to the SnapLogic Environment/Org.

Format: /{env_org}

order_by string A string comprised of:
  • + for ascending order or - for descending order
  • The field to sort by.
    Valid values:
    • username
    • first_name
    • last_name
    • last_updated
    • created
    • ui_access
    • disallowed_auth
    • utility

Default: +username

Examples:
  • +username to sort by username in ascending order
  • -last_updated to sort by last_updated in descending order
offset integer Returns a subset of the results starting at this 0-based index. You can use limit and offset for pagination.

Default: 0

limit integer Returns no more than the specified number of results. You can use limit and offset for pagination.

Valid values: 1 through 100,000

Default: 100

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None.

Response

 {
  "users": [
    {
      "username": "...",
      "first_name": "...",
      "last_name": "...",
      "last_updated": "...",
      "created": "...",
      "ui_access": true,
      "user_setting": {
        "app_access": {
          "myEnvOrg": {
            "...": true,
            ...
          }
        }
      },
      "disallowed_auth": [ ... ],
      "utility": false
    },
    ...
  ]
}
Key Type Description

username

first_name

last_name

string User identification.

last_updated

created

string Dates when the app access information was updated and created, respectively.
ui_access Boolean If true, the user has access to the SnapLogic UI.
user_setting » app_access object Contains key-value pairs where the key is the Environment/Org name and the value is another object that contains the app names, each with a Boolean that indicates if the user has access to that app.
disallowed_auth array The list of disallowed authentication methods.
utility Boolean If true, the user account is a service account.